<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\SubTypes\F900;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypesPF3_4 {
    public $name = "spc";

    public $templateColumns = [
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "code_feature",
            'position' => 5,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "sub_type",
            'position' => 9,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "total_value",
            'position' => 12,
            'size' => 15,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "filler_1",
            'position' => 27,
            'size' => 89,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];
}