<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB013 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "bank_1",
            "position" => "5",
            "size" => "20",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "limit_1",
            "position" => "25",
            "size" => "9",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "bank_2",
            "position" => "34",
            "size" => "20",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "limit_2",
            "position" => "54",
            "size" => "9",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "63",
            "size" => "53",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}